<?php
/**
 * The template to display the widgets area in the header
 *
 * @package TOURIMO
 * @since TOURIMO 1.0
 */

// Header sidebar
$tourimo_header_name    = tourimo_get_theme_option( 'header_widgets' );
$tourimo_header_present = ! tourimo_is_off( $tourimo_header_name ) && is_active_sidebar( $tourimo_header_name );
if ( $tourimo_header_present ) {
	tourimo_storage_set( 'current_sidebar', 'header' );
	$tourimo_header_wide = tourimo_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $tourimo_header_name ) ) {
		dynamic_sidebar( $tourimo_header_name );
	}
	$tourimo_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $tourimo_widgets_output ) ) {
		$tourimo_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $tourimo_widgets_output );
		$tourimo_need_columns   = strpos( $tourimo_widgets_output, 'columns_wrap' ) === false;
		if ( $tourimo_need_columns ) {
			$tourimo_columns = max( 0, (int) tourimo_get_theme_option( 'header_columns' ) );
			if ( 0 == $tourimo_columns ) {
				$tourimo_columns = min( 6, max( 1, tourimo_tags_count( $tourimo_widgets_output, 'aside' ) ) );
			}
			if ( $tourimo_columns > 1 ) {
				$tourimo_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $tourimo_columns ) . ' widget', $tourimo_widgets_output );
			} else {
				$tourimo_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $tourimo_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<?php do_action( 'tourimo_action_before_sidebar_wrap', 'header' ); ?>
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $tourimo_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $tourimo_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'tourimo_action_before_sidebar', 'header' );
				tourimo_show_layout( $tourimo_widgets_output );
				do_action( 'tourimo_action_after_sidebar', 'header' );
				if ( $tourimo_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $tourimo_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
			<?php do_action( 'tourimo_action_after_sidebar_wrap', 'header' ); ?>
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
